BST SHELL(1)

NAME
bst-shell - Shell into an element's sandbox environment

SYNOPSIS
bst shell [OPTIONS] [TARGET] [COMMAND]...

DESCRIPTION
Run a command in the target element's sandbox environment

    When this command is executed from a workspace directory, the default
    is to shell into the workspace element.

    This will stage a temporary sysroot for running the target
    element, assuming it has already been built and all required
    artifacts are in the local cache.

    Use '--' to separate a command from the options to bst,
    otherwise bst may respond to them instead. e.g.

        bst shell example.bst -- df -h

    Use the --build option to create a temporary sysroot for
    building the element instead.

    If no COMMAND is specified, the default is to attempt
    to run an interactive shell.

OPTIONS

-b, --build
    Stage dependencies and sources to build

--mount HOSTPATH PATH
    Mount a file or directory into the sandbox

--isolate
    Create an isolated build sandbox

-t, --use-buildtree
    Stage a buildtree. Will fail if a buildtree is not available. pull-buildtrees configuration is needed if the buildtree is not available locally.

--artifact-remote REMOTE
    A remote for uploading and downloading artifacts

--source-remote REMOTE
    A remote for uploading and downloading cached sources

--ignore-project-artifact-remotes
    Ignore remote artifact cache servers recommended by projects

--ignore-project-source-remotes
    Ignore remote source cache servers recommended by projects